five-on-it / apps/server/src/notoriety / notorietyReporter
Function: notorietyReporter()
notorietyReporter(
url,secret,log?,fetchImpl?): (record) =>void
Defined in: apps/server/src/notoriety.ts:120
A report sender to the platform's POST /notoriety at url, with the room secret as the bearer; each sent and forgotten, a failure logged.
Parameters
url
string
secret
string
log?
(message) => void
fetchImpl?
{(input, init?): Promise<Response>; (input, init?): Promise<Response>; }
Returns
(record) => void